# How to use examples

Notification before use
-------------------------------------------------------
This document provides a brief usage guide and mentions only the devices for all examples.  

In the path of each example file, there is a documentation file named 'doc.md' or 'doc.html'.  
For detailed descriptions and usage instructions for each example file, please refer to the respective documentation file.  


## Examples  

| No. | Function                        | Product Line                                         | Description                                  |
|-----|---------------------------------|------------------------------------------------------|----------------------------------------------|
| 01   | Connection            | Ezi-SERVO Plus-R Series, Ezi-STEP Plus-R Series, Ezi-MOTIONLINK Plus-R Series, Ezi-IO RS-485 Series | Check connection and network to the product via the FASTECH library. |
| 02   | ParameterTest         | Ezi-SERVO Plus-R Series, Ezi-STEP Plus-R Series, Ezi-MOTIONLINK Plus-R Series | Change the parameters of the product.                       |
| 03   | InputPinControl       | Ezi-SERVO Plus-R Series, Ezi-STEP Plus-R Series                | Control the input pins of the product.                      |
| 04   | OutputPinControl      |                                                               | Control the output pins of the product.                     |
| 05   | JogMovement           | Ezi-SERVO Plus-R Series, Ezi-STEP Plus-R Series, Ezi-MOTIONLINK Plus-R Series | Execute the Jog movement.                                  |
| 06   | JogMovementEx         |                                                               | Execute a Jog move with acceleration and deceleration time values. |
| 07   | MoveAbsIncPos         |                                                               | Execute absolute position or incremental position moves.    |
| 08   | MoveAbsIncPosEx       |                                                               | Execute absolute position or incremental position moves with acceleration and deceleration time values. |
| 09   | PositionOverride      |                                                               | Execute the position override function.                     |
| 10   | VelocityOverride      |                                                               | Execute the velocity override function.                     |
| 11   | OriginSearch          | Ezi-SERVO Plus-R Series, Ezi-MOTIONLINK Plus-R Series         | Execute the origin search operation.                        |
| 12   | SetPositionTable      | Ezi-SERVO Plus-R Series, Ezi-STEP Plus-R Series, Ezi-MOTIONLINK Plus-R Series | Create and execute the Position Table.                      |
| 13   | PushStop              | Ezi-SERVO Plus-R Series, Ezi-MOTIONLINK Plus-R Series         | Execute the 'Push Motion' in 'Stop Mode'.                   |
| 14   | PushNonStop           |                                                               | Execute the 'Push Motion' in 'Non-Stop Mode'.               |
| 15   | GetInput              | Ezi-IO RS-485 Series                                           | Read the current input pins of the IO module.               |
| 16   | Latch                 |                                                               | Read the input pin and latch counts of the IO module for a given period of time. |
| 17   | SetOutput             |                                                               | Set the output pin of the IO module.                        |
| 18   | Trigger               |                                                               | Set and execute the trigger of the IO module.               |
| 19   | IOLevel               |                                                               | Set the IO level of the IO module.                          |
| 20   | MoveLinearAbsIncPos   | More than 2 axes of Ezi-SERVO Plus-R Series, Ezi-STEP Plus-R Series, Ezi-MOTIONLINK Plus-R Series | Execute linear interpolation movements for two axes of motors. |